Subject: Re: a doubt on MTU discovery in IPv6

From: Pekka Savola <[email-masked]>
Date: Wed, 5 Sep 2001 18:50:52 +0300 (EEST)

On Wed, 5 Sep 2001, Emmanuel Varagnat wrote:
> Pekka Savola wrote:
> >
> > Your confusion may be based on the difference that in IPv4, routers also
> > may fragment packets.  IPv6 fragmentation is end-to-end, and you either
> > use minimum MTU 1280, or implement Path MTU Discovery (above).
>
> This makes me think about something strange in Path MTU Discovery.
>
> A note in the section 4 of Path MTU Discovery for IPv6 (RFC1981) say:
>  "A node may receive a Packet Too Big message reporting a
>  next-hop MTU that is less than the IPv6 minimum link MTU.  In that
>  case, the node is not required to reduce the size of subsequent
>  packets sent on the path to less than the IPv6 minimun link MTU,
>  but rather must include a Fragment header in those packets [IPv6-
>  SPEC]."
>
> Does this can cause problems with the IPv6 standard that specify that
> under 1280 octets, the layer below IPv6 must deal with the
> fragmentation ?

Yes, or use Fragmentation Header for every too big packet.

(as far as I can see :-)

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Emmanuel Varagnat <[email-masked]>
Date: Wed, 05 Sep 2001 16:53:04 +0200

-Manu

---

From: Erik Nordmark <[email-masked]>
Date: Fri, 7 Sep 2001 16:04:10 +0200 (CEST)

> under 1280 octets, the layer below IPv6 must deal with the

That language, and similar language in RFC 2460 is present to
handle IPv4<->IPv6 packet translators such as those defined in RFC 2765 and
RFC 2766.

Hopefully an update to RFC 1981 (when moving to draft standard) can add
a reference to those RFCs to help explain the intended use.

  Erik